package com.steering.pss.qcm.model;

/**
 * 数据库表COM_MSC_PHY_SAMPLE所对应的实体类（生成工具：代码生成器1.0.0.0）
 * @author Chenxi-PC2   date 2016-04-21
 */
@SuppressWarnings("serial")
public class ComMscPhySampleEntity implements java.io.Serializable {
    /**
     * 材质标准索引号
     */
    private String pic = "";
    /**
     * 取样码
     */
    private String phyCodeMin = "";
    /**
     * 取样码描述
     */
    private String phyNameMin = "";
    /**
     * 取样码索引号
     */
    private String sic = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";
    
    private String stdCodeTest = "";
	private String stdNameTest = "";
	private String sampleKey = "";
	private String sampleKeyDesc = "";
	private String itemCodeF = "";
	private String itemCodeW = "";
	private String itemCodeC = "";
	private String itemNameF = "";
	private String itemNameW = "";
	private String itemNameC = "";
	private String groupSeq = "";

    /**
     * 材质标准索引号
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 取样码
     * @return value
     */
    public String getPhyCodeMin() {
        return phyCodeMin;
    }

    /**
     * 取样码
     * @param phyCodeMin value
     */
    public void setPhyCodeMin(String phyCodeMin) {
        this.phyCodeMin = phyCodeMin;
    }

    /**
     * 取样码描述
     * @return value
     */
    public String getPhyNameMin() {
        return phyNameMin;
    }

    /**
     * 取样码描述
     * @param phyNameMin value
     */
    public void setPhyNameMin(String phyNameMin) {
        this.phyNameMin = phyNameMin;
    }

    /**
     * 取样码索引号
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 取样码索引号
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
    
    public String getStdCodeTest() {
		return stdCodeTest;
	}

	public void setStdCodeTest(String stdCodeTest) {
		this.stdCodeTest = stdCodeTest;
	}

	public String getStdNameTest() {
		return stdNameTest;
	}

	public void setStdNameTest(String stdNameTest) {
		this.stdNameTest = stdNameTest;
	}
	
	public String getSampleKey() {
		return sampleKey;
	}

	public void setSampleKey(String sampleKey) {
		this.sampleKey = sampleKey;
	}

	public String getSampleKeyDesc() {
		return sampleKeyDesc;
	}

	public void setSampleKeyDesc(String sampleKeyDesc) {
		this.sampleKeyDesc = sampleKeyDesc;
	}

	public String getItemCodeF() {
		return itemCodeF;
	}

	public void setItemCodeF(String itemCodeF) {
		this.itemCodeF = itemCodeF;
	}

	public String getItemCodeW() {
		return itemCodeW;
	}

	public void setItemCodeW(String itemCodeW) {
		this.itemCodeW = itemCodeW;
	}

	public String getItemCodeC() {
		return itemCodeC;
	}

	public void setItemCodeC(String itemCodeC) {
		this.itemCodeC = itemCodeC;
	}

	public String getItemNameF() {
		return itemNameF;
	}

	public void setItemNameF(String itemNameF) {
		this.itemNameF = itemNameF;
	}

	public String getItemNameW() {
		return itemNameW;
	}

	public void setItemNameW(String itemNameW) {
		this.itemNameW = itemNameW;
	}

	public String getItemNameC() {
		return itemNameC;
	}

	public void setItemNameC(String itemNameC) {
		this.itemNameC = itemNameC;
	}

    public String getGroupSeq() {
        return groupSeq;
    }

    public void setGroupSeq(String groupSeq) {
        this.groupSeq = groupSeq;
    }
}
